<fieldset class="nhsuk-fieldset
  {%- if params.classes %} {{ params.classes }}{% endif %}"
  {%- if params.describedBy %} aria-describedby="{{ params.describedBy }}"{% endif %}
  {%- for attribute, value in params.attributes %} {{ attribute }}="{{ value }}"{% endfor %}>
  {%- if params.legend.html or params.legend.text %}
  <legend class="nhsuk-fieldset__legend{%- if params.legend.classes %} {{ params.legend.classes }}{% endif %}">
    <span class="heading-secondary {{ params.subHeading.classes }}">{{ __({phrase:params.legend.subHeading.text, locale: params.legend.locale}) }}</span>
    <legend class="nhsuk-fieldset__legend nhsuk-fieldset__legend--l">
      {{ params.legend.html | safe if params.legend.html else  __({phrase: params.legend.text, locale: params.legend.locale}) }}
    </legend>
  </legend>
  {%- endif %}
{{ caller() if caller }} {#- if statement allows usage of `call` to be optional -#}
</fieldset>
